osc-0.165.0-2.1.noarch.rpm


Advertisement

Description

osc - Open Build Service Commander

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename osc-0.165.0-2.1.noarch.rpm
Package name osc
Package version 0.165.0
Package release 2.1
Package architecture noarch
Package type rpm
Category Development/Tools/Other
Homepage https://github.com/openSUSE/osc
License GPL-2.0-or-later
Maintainer -
Download size 441.87 KB
Installed size 1.74 MB
Commandline client for the Open Build Service.
See http://en.opensuse.org/openSUSE:OSC , as well as
http://en.opensuse.org/openSUSE:Build_Service_Tutorial for a general
introduction.

Alternatives

Package Version Architecture Repository
osc - - -

Requires

Name Value
/bin/bash -
/usr/bin/python3 -
python(abi) = 3.7
python3 -
python3-M2Crypto > 0.19
python3-chardet -
python3-rpm -
python3-xml -

Provides

Name Value
config(osc) = 0.165.0-2.1
osc = 0.165.0-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package osc-0.165.0-2.1.noarch.rpm
Source Package osc-0.165.0-2.1.src.rpm

Install Howto

Install osc rpm package:

# zypper install osc

Files

Path
/etc/bash_completion.d/osc.sh
/etc/profile.d/osc.csh
/etc/rpm/macros.osc
/usr/bin/osc
/usr/bin/osc-wrapper.py
/usr/lib/osc/complete
/usr/lib/osc-plugins/
/usr/lib/python3.7/site-packages/osc/OscConfigParser.py
/usr/lib/python3.7/site-packages/osc/__init__.py
/usr/lib/python3.7/site-packages/osc/babysitter.py
/usr/lib/python3.7/site-packages/osc/build.py
/usr/lib/python3.7/site-packages/osc/checker.py
/usr/lib/python3.7/site-packages/osc/cmdln.py
/usr/lib/python3.7/site-packages/osc/commandline.py
/usr/lib/python3.7/site-packages/osc/conf.py
/usr/lib/python3.7/site-packages/osc/core.py
/usr/lib/python3.7/site-packages/osc/fetch.py
/usr/lib/python3.7/site-packages/osc/grabber.py
/usr/lib/python3.7/site-packages/osc/meter.py
/usr/lib/python3.7/site-packages/osc/oscerr.py
/usr/lib/python3.7/site-packages/osc/oscssl.py
/usr/lib/python3.7/site-packages/osc/oscsslexcp.py
/usr/lib/python3.7/site-packages/osc-0.165.0-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/osc-0.165.0-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/osc-0.165.0-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/osc-0.165.0-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/osc/__pycache__/OscConfigParser.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/babysitter.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/build.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/checker.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/cmdln.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/commandline.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/conf.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/core.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/fetch.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/grabber.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/meter.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/oscerr.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/oscssl.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/__pycache__/oscsslexcp.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__init__.py
/usr/lib/python3.7/site-packages/osc/util/ar.py
/usr/lib/python3.7/site-packages/osc/util/archquery.py
/usr/lib/python3.7/site-packages/osc/util/cpio.py
/usr/lib/python3.7/site-packages/osc/util/debquery.py
/usr/lib/python3.7/site-packages/osc/util/helper.py
/usr/lib/python3.7/site-packages/osc/util/packagequery.py
/usr/lib/python3.7/site-packages/osc/util/repodata.py
/usr/lib/python3.7/site-packages/osc/util/rpmquery.py
/usr/lib/python3.7/site-packages/osc/util/safewriter.py
/usr/lib/python3.7/site-packages/osc/util/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/ar.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/archquery.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/cpio.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/debquery.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/helper.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/packagequery.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/repodata.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/rpmquery.cpython-37.pyc
/usr/lib/python3.7/site-packages/osc/util/__pycache__/safewriter.cpython-37.pyc
/usr/share/doc/packages/osc/AUTHORS
/usr/share/doc/packages/osc/NEWS
/usr/share/doc/packages/osc/README
/usr/share/doc/packages/osc/TODO
/usr/share/licenses/osc/COPYING
/usr/share/man/man1/osc.1.gz
/var/lib/osc-plugins/

Changelog

2019-04-24 - Marco Strigl <marco.strigl@suse.com>
- osc-0.165.0.tar.gz now contains the correct version (tag 0.165.0)
2019-04-24 - Marco Strigl <marco.strigl@suse.com>
- simplify "BuildArch:" decission if statements. (Avoid double
BuildArch lines)
- Fedora29: m2crypto for python3 is named python3-m2crypto now
2019-04-18 - Marco Strigl <marco.strigl@suse.com>
- 0.165.0
* full python3 compatibility (bsc#1125243)
fixes bsc#1131512, bsc#1129889, bsc#1129757
* removed following patches (now upstream):
001_helper.patch
002_man_page_building.patch
003_setup.patch
004_babysitter.patch
005_oscssl.patch
006_build.patch
007_core.patch
008_commandline.patch
009_fetch.patch
010_fix-decoding_in_canonname.patch
011_repodata.patch
012_packagequery.patch
- spec file modifications:
* noarch only on non-SUSE distros and newer SUSE Versions > 11
* disable testsuite on older SUSE Versions (unittest module too old)
2019-04-09 - Marco Strigl <marco.strigl@suse.com>
- moved Recommends for diffstat to suse specific section.
2019-04-09 - Marco Strigl <marco.strigl@suse.com>
- added Buildrequires and Requires for python-chardet
* needed for determining the encoding of objects (Requires)
* needed also for testing in %check section (BuildRequires)
2019-04-07 - Marco Strigl <marco.strigl@suse.com>
- activate tests for osc
- add Buildrequires and Recommends for diffstat
osc prdiff --diffstat needs it
The testsuite needs it (Therefore the BuildRequires
2019-03-05 - marco.strigl@suse.com
- modified patch 008_commandline.patch
* fix broken sorted call on osc my sr when sorting
the submit requests by reqid. (gh#519)
- modified patch 007_core.patch
* fix slowdown of rbl with readline(bufsize) function.
(bsc#1127932)
2019-02-20 - marco.strigl@suse.com
- fix for bsc#1126055 (osc build -p <dir> fails with TypeError):
* add 011_repodata.patch
* add 012_packagequery.patch
* modified 006_build.patch, 010_fix-decoding_in_canonname.patch
- fix for bsc#1126058 (osc buildinfo -p <dir> fails with TypeError):
* modified 008_commandline.patch
2019-02-14 - marco.strigl@suse.com
- add 010_fix-decoding_in_canonname.patch
RpmQuery.canonname returns broken filename due to missing
decoding.
2019-02-13 - marco.strigl@suse.com
- osc is now noarch for all
- fixed %license

See Also

Package Description
osc-plugin-check_dups-20190413.989fecad-1.1.noarch.rpm OSC plugin to check for duplicate requests
osc-plugin-collab-0.101-1.1.noarch.rpm Plugin to make collaboration easier with osc
osc-plugin-cycle-20190413.989fecad-1.1.noarch.rpm OSC plugin for cycle visualization
osc-plugin-install-0.25-3.1.noarch.rpm Plugin to make package installation easier
osc-plugin-origin-20190413.989fecad-1.1.noarch.rpm OSC plugin for origin management
osc-plugin-staging-20190413.989fecad-1.1.noarch.rpm OSC plugin for the staging workflow
osc-plugin-vdelreq-20190413.989fecad-1.1.noarch.rpm OSC plugin to check for virtually accepted request
osclib-20190413.989fecad-1.1.noarch.rpm Supplemental osc libraries
osdlyrics-0.4.3+git20170817.8661927-5.3.i586.rpm A third-party lyrics display program
osdlyrics-0.4.3+git20170817.8661927-5.3.x86_64.rpm A third-party lyrics display program
osdlyrics-lang-0.4.3+git20170817.8661927-5.3.noarch.rpm Translations for package osdlyrics
osgi-annotation-6.0.0-1.1.noarch.rpm Annotations for use in compiling OSGi bundles
osgi-annotation-javadoc-6.0.0-1.1.noarch.rpm API documentation for osgi-annotation
osgi-compendium-6.0.0-2.1.noarch.rpm Interfaces and Classes for use in compiling OSGi bundles
osgi-compendium-javadoc-6.0.0-2.1.noarch.rpm API documentation for osgi-compendium
Advertisement
Advertisement